Subject: Re: [nvo3] Push or pull?

From: Lizhong Jin <[email-masked]>
Date: Thu, 27 Sep 2012 23:06:49 +0800

>
> > Maybe there is a dimension to this that really is an issue. I would
> > love to know, especially with numbers backing it up. But let's first
> > convince ourselves that this is a problem worth solving before
> > spending cycles solving it.
>
> I do not think we should today require that the NVO3 architecture (in
> a MUST sense) support only push. I think we should allow for either
> push or pull, or some combination. I can see benefits with both
> approaches.
>
[Lizhong] I have to say, combination is a good way to do that, would be
possible to get balance between cost and performance.

Lizhong

> Note also that we may be looking at the problem from different
> perspectives. For example, in a single data center, I can imagine a
> centralized directory service holding the complete address mapping
> information for all the VNs in the DC. An NVE in such cases can query
> such a mapping system with very very low latency.
>
> Thomas
>
>